#                       (    min( 20, max(defence/5, defence - damage/(2+toughness/4)))  )
# totaldamage = damage *( 1- ___________________________________________________________ ) * (1 - ResistanceLevel * 0.2) * (Enchantment Protection Factor)
#                       (                             25                                 )
#We have to reverse this function to get what we need.
# we need damage for armor duability calculations

#setup
scoreboard objectives add catastrophe.damage dummy
scoreboard players set #100 catastrophe.damage 100
scoreboard players set #25 catastrophe.damage 25

#get resistence factor
execute store result score #Resistance catastrophe.damage store success score #hasResistance catastrophe.damage run data get entity @s active_effects[{id:"minecraft:resistance"}].amplifier 1
execute if score #hasResistance catastrophe.damage matches 1 run function catastrophe:methods/item/obfus/get_resistance

#get armor protection values. (we ignore everything that isn't protection)
function catastrophe:methods/item/obfus/get_protection_factor
#execute store result score #Defence catastrophe.damage run attribute @s minecraft:armor get 100
execute store result score #Defence catastrophe.damage run attribute @s minecraft:armor get 100

#we can't calculate toughness so it will not be part of the equation

#1-(min(20.00,defence0.00)/25) = DefenceFactor0.00
execute if score #Defence catastrophe.damage matches 2000.. run scoreboard players set #Defence catastrophe.damage 2000
scoreboard players operation #Defence catastrophe.damage /= #25 catastrophe.damage
scoreboard players set #DefenceFactor catastrophe.damage 100
scoreboard players operation #DefenceFactor catastrophe.damage -= #Defence catastrophe.damage

execute if score #hasResistance catastrophe.damage matches 1 run function catastrophe:methods/item/obfus/apply_resistance
scoreboard players operation #DefenceFactor catastrophe.damage *= #ProtectionFactor catastrophe.damage
scoreboard players operation #DefenceFactor catastrophe.damage /= #100 catastrophe.damage

scoreboard players set #TEMP catastrophe.damage 1000
scoreboard players operation @s catastrophe.damage *= #TEMP catastrophe.damage
scoreboard players operation @s catastrophe.damage /= #DefenceFactor catastrophe.damage
scoreboard players set #TEMP catastrophe.damage 400
scoreboard players operation @s catastrophe.damage /= #TEMP catastrophe.damage
execute store result storage catastrophe:temp SelectedPlayer.CustomArmorDamage int 1 run scoreboard players add @s catastrophe.damage 1
#tellraw @a {"score":{"name":"#OriginalDamage","objective":"catastrophe.damage"}}
#tellraw @a {"score":{"name":"#DefenceFactor","objective":"catastrophe.damage"}}

scoreboard objectives remove catastrophe.damage
