#Inputs
#   if_cmd: CMD, specifically one unique to the pack and contains a return statement
#   name: STRING, name of the pack

#   unless_cmd: CMD, if this is active report conflict or unessessary
#   alt_name: STRING, name of the pack other pack
#✔❌

#open
scoreboard players set #packExists catastrophe.tick 0
scoreboard players set #altPackExists catastrophe.tick 0

#if this returns success, then the pack exists
$execute store success score #packExists catastrophe.tick run $(if_cmd)
$execute store success score #altPackExists catastrophe.tick run $(unless_cmd)

#if pack does not exist, and alt does not exist
$execute if score #packExists catastrophe.tick matches 0 if score #altPackExists catastrophe.tick matches 0 run tellraw @a [{"text":"     ","color":"gold"},{"text":"$(name): "},{"text":"❌","color":"red"}]

#if pack exists, and alt does not exist
$execute unless score #packExists catastrophe.tick matches 0 if score #altPackExists catastrophe.tick matches 0 run tellraw @a [{"text":"     ","color":"gold"},{"text":"$(name): "},{"text":"✔","color":"green"}]

#if pack does not exist, but alt exists
$execute if score #packExists catastrophe.tick matches 0 unless score #altPackExists catastrophe.tick matches 0 run tellraw @a [{"text":"     ","color":"gold"},{"text":"$(name): "},{"text":"[$(alt_name)]","color":"green"}]

#if pack exists, and alt exists
$execute unless score #packExists catastrophe.tick matches 0 unless score #altPackExists catastrophe.tick matches 0 run tellraw @a [{"text":"     ","color":"gold"},{"text":"$(name): "},{"text":"[$(alt_name)]","color":"red"}]

#close
scoreboard players reset #packExists
scoreboard players reset #altPackExists
