#data.Catastrophe reference
#   SelectionIndex: current recipe selected
#   id: current table
#   SelectionFilter: item
#   filtered_recipes: all recipes under a filter?

#other = scrolltimer


scoreboard players set #TEMP2 catastrophe.tick 0
scoreboard players set #TEMP1 catastrophe.tick 0
execute as @p facing entity @s feet facing ^ ^ ^-1 rotated ~ 0 positioned as @s positioned ^ ^ ^-2 run function mc_calamity:entity/block/crafting_menu/recipe_panel/get_operator_look_magnitude
execute on passengers if entity @s[tag=1t.crafting_menu.search] if score #TEMP1 catastrophe.tick matches 1 store result score #TEMP1 catastrophe.tick run data get entity @s Rotation[0] 0.1


scoreboard players operation #TEMP2 catastrophe.tick -= #TEMP1 catastrophe.tick
execute if score #TEMP2 catastrophe.tick matches 18.. run scoreboard players remove #TEMP2 catastrophe.tick 36
execute if score #TEMP2 catastrophe.tick matches ..-18 run scoreboard players add #TEMP2 catastrophe.tick 36

#if your not facing the table, the scroll stops
execute if score #TEMP2 catastrophe.tick matches 0 run return 1
execute unless score #TEMP2 catastrophe.tick matches -9..9 run return 1
scoreboard players set #TEMP1 catastrophe.tick 1
execute if score #TEMP2 catastrophe.tick matches ..0 run scoreboard players set #TEMP1 catastrophe.tick -1
scoreboard players operation #TEMP2 catastrophe.tick *= #TEMP2 catastrophe.tick
scoreboard players operation #TEMP2 catastrophe.tick *= #TEMP1 catastrophe.tick
scoreboard players operation @s catastrophe.other += #TEMP2 catastrophe.tick

#if scroll excedes an amount, the panel with scroll
execute if score @s catastrophe.other matches -100..100 run return 1
scoreboard players operation #LastLocal recipe.Craft = @s recipe.Craft
execute if score @s catastrophe.other matches ..0 run scoreboard players remove @s recipe.Craft 5
execute if score @s catastrophe.other matches 0.. run scoreboard players add @s recipe.Craft 5

#scroll cannot go below 0 (recipe.Craft = the top left recipe in the menu) or above end of recipes - 25
execute if score @s recipe.Craft matches ..0 run scoreboard players set @s recipe.Craft 0
execute if score @s recipe.Craft > @s recipe.Count run scoreboard players operation @s recipe.Craft = @s recipe.Count
execute unless score @s recipe.Craft = #LastLocal recipe.Craft run tag @s remove mc_calamity.block.recipe_panel.EndOfPanel

execute if entity @s[tag=!mc_calamity.block.recipe_panel.EndOfPanel] if score @s recipe.Craft matches 0 run playsound minecraft:block.wool.fall master @p ~ ~ ~ 1 2
execute if entity @s[tag=!mc_calamity.block.recipe_panel.EndOfPanel] if score @s recipe.Craft = @s recipe.Count run playsound minecraft:block.wool.fall master @p ~ ~ ~ 1 2
execute if score @s recipe.Craft matches 1.. if score @s recipe.Craft < @s recipe.Count run playsound minecraft:ui.toast.out master @p ~ ~ ~ 2
execute if score @s recipe.Craft matches 1.. if score @s recipe.Craft < @s recipe.Count run tag @s remove mc_calamity.block.recipe_panel.EndOfPanel
execute if score @s recipe.Craft matches 0 run tag @s add mc_calamity.block.recipe_panel.EndOfPanel
execute if score @s recipe.Craft = @s recipe.Count run tag @s add mc_calamity.block.recipe_panel.EndOfPanel


#i forgot why i did this.
scoreboard players operation #TEMP1 catastrophe.tick = @s recipe.Craft

#stores data for menu scrolling later
execute on passengers if entity @s[tag=1t.crafting_menu.data] run data modify storage catastrophe:temp SelectedBlock.Catastrophe set from entity @s data.Catastrophe

#update panel
function mc_calamity:entity/block/crafting_menu/recipe_panel/update_panel with storage catastrophe:temp SelectedBlock.Catastrophe

#Close
data remove storage catastrophe:temp SelectedBlock.Catastrophe
scoreboard players set @s catastrophe.other 0
