#===(Begin Entity Modification)
scoreboard players set #ANIM1 catastrophe.tick 0
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {Air:300,FallDistance:0f,OnGround:0b}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

#===(Entity Data Checks)
execute positioned ~ ~ ~ run particle minecraft:block{block_state:nether_wart_block} ~ ~1.5 ~ 1 1 1 0 1
function mc_calamity:technical/methods/entity/check_if_hurt {entity: eye_of_cthulhu}

execute unless score @s mc_calamity.index matches 1.. run function mc_calamity:entity/common/eye_of_cthulhu/move/retreat
execute if entity @s[tag=mc_calamity.boss.EoC.phase1] run function mc_calamity:entity/common/eye_of_cthulhu/move/phase1
execute if entity @s[tag=mc_calamity.boss.EoC.phase2] run function mc_calamity:entity/common/eye_of_cthulhu/move/phase2
execute unless predicate mc_calamity:entity/cannot_sky_burn unless score @s mc_calamity.index matches 0 run function mc_calamity:technical/methods/entity/swap_behavior {index: 0, init: ""}

function mc_calamity:technical/methods/entity/bossbar {border: ufff3, style: notched_6, color: blue, distance: 64, hlth:"data get storage catastrophe:temp SelectedEntity.AbsorptionAmount 1"}
execute if data storage catastrophe:temp SelectedEntity{DeathTime:0s} as @a[distance=..128,tag=!mc_calamity.music.eye_of_cthulhu] at @s run function mc_calamity:effect/music/apply {track:eye_of_cthulhu, duration:5580, lvl:2}
execute as @a[distance=128..,tag=mc_calamity.music.eye_of_cthulhu] at @s run function mc_calamity:technical/methods/effect/clear {id:music}
#===(Finish Entity Modification)

data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/eye_of_cthulhu/animate/animate
data remove storage catastrophe:temp SelectedEntity
return 1
