#===(Begin Entity Modification)
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {Air:300,OnGround:0b}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

#===(Entity Data Checks)
function mc_calamity:technical/methods/entity/footsteps {loop:5, cmd:"playsound minecraft:entity.silverfish.step hostile @a[distance=..16] ~ ~ ~ 1 2"}
function mc_calamity:technical/methods/entity/check_if_hurt {entity: sea_urchin}

scoreboard players set #TEMP mc_calamity.index 0
execute on target run scoreboard players set #TEMP mc_calamity.index 1
execute if score #TEMP mc_calamity.index matches 1 if predicate mc_calamity:entity/is_in_water run function mc_calamity:technical/methods/entity/behavior/walk {target: "on target", this_type: slime, direction: "^ ^ ^1",speed: 0.034}
execute if score #TEMP mc_calamity.index matches 1 unless predicate mc_calamity:entity/is_in_water run function mc_calamity:technical/methods/entity/behavior/walk {target: "on target", this_type: slime, direction: "^ ^ ^1",speed: 0.02}
execute if score #TEMP mc_calamity.index matches 1 if data storage catastrophe:temp SelectedEntity{OnGround:1b,Motion:[0.0 ,0.0 ,0.0]} run function mc_calamity:technical/methods/entity/change_motion {motion: "0.0 0.75 0.0"}
execute if predicate mc_calamity:entity/is_in_water run function mc_calamity:technical/methods/entity/change_motion {motion: "~ ~-0.022 ~"}

execute unless data storage catastrophe:temp SelectedEntity{Motion:[0.0,0.0,0.0]} run scoreboard players set #ANIM1 catastrophe.tick 1

#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/sea_urchin/animate/animate
