#Inputs:
#   cmd: COMMAND (specifically for a particle effect/ function with particle effects)
#   speed: INT how fast the trail reaches the fishing bobber (1000 = 1 block per tick)
#   rot_speed: INT fast the trail changes direction (100 = 1 degree)
#   liquid: BLOCKID
#   drop: INT amount of custom_motion.y to apply when fish is caught

#Scores
#   tick = time till catch
#   path_cooldown = yaw velocity
#   other = yaw rotation
#   other2 = distance from bobber

#tick is the time it takes till a fish is caught
#scoreboard players remove @s catastrophe.tick 1

#gets random distance and rotation of the fish
execute if score @s catastrophe.tick matches 0 run function mc_calamity:entity/effect/fishing_environment/parts/obfus/random_fish_pos
execute if score @s catastrophe.tick matches 0.. run return 0
execute if entity @s[tag=mc_calamity.fishing_environment.fish_on_line] run return 1

$execute store result score #TEMP1 catastrophe.tick run random value -$(rot_speed)..$(rot_speed)
scoreboard players operation @s catastrophe.path_cooldown += #TEMP1 catastrophe.tick
scoreboard players operation @s catastrophe.other += @s catastrophe.path_cooldown
$scoreboard players remove @s catastrophe.other2 $(speed)

$data modify storage catastrophe:temp Macros set value {cmd:'$(cmd)', liquid: '$(liquid)', cmd_end:'$(cmd_end)', drop: $(drop), loot:'$(loot)'}
execute store result storage catastrophe:temp Macros.x float 0.001 run scoreboard players get @s catastrophe.other2
execute store result storage catastrophe:temp Macros.y float 0.01 run scoreboard players get @s catastrophe.other

function mc_calamity:entity/effect/fishing_environment/parts/obfus/trail with storage catastrophe:temp Macros

execute if score @s catastrophe.other2 matches ..0 run function mc_calamity:entity/effect/fishing_environment/parts/catch with storage catastrophe:temp Macros
#function mc_calamity:entity/effect/fishing_environment/stop
