#input
# entitytype: NAMESPACE this entity's base entity type
# type: NAMESPACE damage type
# target: NAMESPACE selector for the target
# init: COMMAND extra command to run from this when it damages an entity
# effect: COMMAND extra command to run on damaged entity

#$say "$(effect)"
# the only difference between this function and the common version is that this one (attempts to) takes into account impailing enchant

execute on passengers if entity @s[type=marker,tag=catastrophe.EntityMarker] run data modify storage catastrophe:temp SelectedItem set from entity @s data.Trident

$data modify storage catastrophe:temp Macros set value {type:"$(type)",entitytype:"$(entitytype)", effect: "$(effect)"}
execute on passengers if entity @s[type=marker,tag=catastrophe.EntityMarker] store result score #TEMP1 catastrophe.tick run data get entity @s data.Projectile.damage 10

scoreboard players set #TEMP2 catastrophe.tick 0
execute store result score #TEMP2 catastrophe.tick run data get storage catastrophe:temp SelectedItem.tag.Enchantments[{id:"minecraft:impaling"}].lvl 25
$execute $(target) at @s run function mc_calamity:entity/projectile/custom_trident/obfus/trident_enchants

execute store result storage catastrophe:temp Macros.amount float 0.1 run scoreboard players get #TEMP1 catastrophe.tick

tag @s add mc_calamity.projectile.This
execute on passengers if entity @s[type=area_effect_cloud] on origin run tag @s add mc_calamity.projectile.OwnerOfThis
$execute $(target) run function mc_calamity:technical/methods/entity/obfus/damage_from_owner with storage catastrophe:temp Macros
execute on passengers if entity @s[type=area_effect_cloud] on origin run tag @s remove mc_calamity.projectile.OwnerOfThis
tag @s remove mc_calamity.projectile.This

#,tag=mc_calamity.storeowner

data remove storage catastrophe:temp Macros
$function mc_calamity:technical/methods/blank {cmd: "$(init)"}
