# General Scores
scoreboard objectives add mc_calamity.index dummy
scoreboard objectives add catastrophe.tick dummy
scoreboard objectives add catastrophe.other dummy
scoreboard objectives add catastrophe.other2 dummy
scoreboard objectives add catastrophe.hurt dummy
scoreboard objectives add catastrophe.footstep_timer dummy
scoreboard objectives add mc_calamity.damage minecraft.custom:minecraft.damage_taken
scoreboard objectives add catastrophe.path_cooldown dummy
scoreboard objectives add catastrophe.bossbar dummy
scoreboard objectives add catastrophe.music_lvl dummy
scoreboard objectives add mc_calamity.effect.has_died deathCount
scoreboard objectives add mc_calamity.effect.stealth dummy
scoreboard objectives add mc_calamity.effect.adrenaline dummy
scoreboard objectives add mc_calamity.effect.rage dummy
scoreboard objectives add mc_calamity.effect.mana_reserve dummy

# General Item Scores
scoreboard objectives add mc_calamity.use minecraft.used:minecraft.warped_fungus_on_a_stick
scoreboard objectives add mc_calamity.bow minecraft.used:minecraft.bow
scoreboard objectives add mc_calamity.fishing_rod minecraft.used:minecraft.fishing_rod
scoreboard objectives add mc_calamity.flighttime dummy

# Needed for the projectiles rebuilt from scratch
scoreboard objectives add custommotion.x dummy
scoreboard objectives add custommotion.y dummy
scoreboard objectives add custommotion.z dummy
scoreboard players set #gravity custommotion.y 60
scoreboard players set #half_gravity custommotion.y 30
scoreboard players set #4th_gravity custommotion.y 15
scoreboard players set #unit_1000th custommotion.y 1
scoreboard players set #unit_100th custommotion.y 10
scoreboard players set #unit_10th custommotion.y 100
scoreboard players set #unit_block custommotion.y 1000

# Useful for all the math math
execute in minecraft:overworld run forceload add 0 0
execute unless entity 0000000d-0109-0097-0116-000000000104 in minecraft:overworld run summon item_display 0. 0 0. {Tags:["math"],UUID:[I;13,17367191,18219008,260]}

#For Mending Compatability with Custom Durability
scoreboard objectives add mc_calamity.exp xp
scoreboard objectives add armor.mending dummy

#Entity Data Check Enabler
schedule function mc_calamity:data_enabler 3s

#Fixes data that sometimes needs to be fixed
schedule function mc_calamity:data_cleaner 1t

advancement revoke @s through mc_calamity:zprivate/root
advancement revoke @a only mc_calamity:music/root

# Other
scoreboard objectives add mc_calamity.block_durability dummy
scoreboard objectives add mc_calamity.dps minecraft.custom:minecraft.damage_dealt
scoreboard objectives add mc_calamity.tallies dummy
scoreboard objectives add mc_calamity.tallies2 dummy
scoreboard objectives add mc_calamity.fishing_id dummy
scoreboard objectives add mc_calamity.fishing_luck dummy
scoreboard objectives add mc_calamity.fishing_power dummy
scoreboard objectives add mc_calamity.fishing_quest dummy
scoreboard objectives add mc_calamity.paintings dummy
function mc_calamity:technical/managers/event/clock
execute unless data storage catastrophe:global WorldVariables.doEventSpawning run data modify storage catastrophe:global WorldVariables.doEventSpawning set value 1b
execute unless data storage catastrophe:global WorldVariables.showInfoCard run data modify storage catastrophe:global WorldVariables.showInfoCard set value 1b

#register tables
function mc_calamity:technical/crafting/crafting_items
function mc_calamity:technical/crafting/load_recipes
function mc_calamity:technical/crafting/load_creative
function mc_calamity:technical/crafting/currency
function mc_calamity:technical/paintings/list
function mc_calamity:technical/fishing/loot/load_loot



# Text
tellraw @a [{"translate":"reload.mc_calamity","fallback":"Calamity Datapack has been reloaded! %s","color":"yellow","with":[{"color":"red","text":"(please install the resourcepack)"}]}]
schedule function mc_calamity:debug/zzinfo_card/loadinfo_card 1s
