#Inputs
#   id: STRING table id
#   SelectionIndex: which chosen recipe (in order)

$data modify storage mc_calamity:store RecipeTemp.Raw set from storage mc_calamity:store Recipes.$(id)[$(SelectionIndex)]


#Raw format
#{id:INT, result:{id:ID,count:INT,loot:OPTIONAL_LOOT}, recipe:[{id:ID,count:INT},{id:ID,count:INT},{id:ID,count:INT}]}
#Interpreted Format
#{Sell:{Loot:LOOT}, Buy:[{item:'ITEMCHECK',Count:INT}], Name:""}

#Sets up the display text builder
data modify storage catastrophe:temp Macros.Pattern set value '[{"text":""},'

#adds the ingredients to the recipe 
function mc_calamity:technical/crafting/recipe_interpreter/add_ingredents with storage mc_calamity:store RecipeTemp.Raw.recipe[0]

#added the arrow to the display text
data modify storage catastrophe:temp Macros.String set value '{"text":"→ "},'
function mc_calamity:technical/methods/math/append_to_string with storage catastrophe:temp Macros

#adds the result to the recipe
execute unless data storage mc_calamity:store RecipeTemp.Raw.result.loot run data modify storage mc_calamity:store RecipeTemp.Raw.result.loot set value null
function mc_calamity:technical/crafting/recipe_interpreter/add_result with storage mc_calamity:store RecipeTemp.Raw.result



#Bring interpreted data back to the table
data modify storage mc_calamity:store RecipeTemp.Final.Name set from storage catastrophe:temp Macros.Pattern
data modify entity @s data.Selection set from storage mc_calamity:store RecipeTemp.Final

#tellraw @a [{"nbt":"RecipeTemp","storage":"mc_calamity:store","color":"light_purple"}]
data remove storage mc_calamity:store RecipeTemp
