#Inputs
#   dx: FLOAT radius of this entities x collision
#   dy: FLOAT radius of this entities y collision
#   dz: FLOAT radius of this entities z collision
#   elasticity: FLOAT the amount of bounce during a collision. if 0 then there is no bounce
#   init: COMMAND command that runs when object bounces




$execute if block ~-$(dx) ~ ~ #mc_calamity:transparent_blocks if block ~$(dx) ~ ~ #mc_calamity:transparent_blocks run tag @s add No_Bounce_X
$execute unless entity @s[tag=No_Bounce_X] run function mc_calamity:technical/methods/entity/behavior/collide/wall_xe {x:$(dx), e:-$(elasticity)}

$execute if block ~ ~-$(dy) ~ #mc_calamity:transparent_blocks if block ~ ~$(dy) ~ #mc_calamity:transparent_blocks run tag @s add No_Bounce_Y
$execute unless entity @s[tag=No_Bounce_Y] at @s run function mc_calamity:technical/methods/entity/behavior/collide/wall_ye {y:$(dy), e:-$(elasticity)}

$execute if block ~ ~ ~-$(dz) #mc_calamity:transparent_blocks if block ~ ~ ~$(dz) #mc_calamity:transparent_blocks run tag @s add No_Bounce_Z
$execute unless entity @s[tag=No_Bounce_Z] at @s run function mc_calamity:technical/methods/entity/behavior/collide/wall_ze {z:$(dz), e:-$(elasticity)}

tag @s remove No_Bounce_X
tag @s remove No_Bounce_Y
tag @s remove No_Bounce_Z
