#input
# entitytype: NAMESPACE this entity's base entity type
# type: NAMESPACE damage type
# amount: FLOAT damage amount
# target: NAMESPACE selector for the target
# init: COMMAND extra command to run from this when it damages an entity
# effect: COMMAND extra command to run on damaged entity

data remove storage catastrophe:temp SelectedEntity.ImpactOverride
execute if entity @s[tag=mc_calamity.projectile.hasImpactInformation] run function mc_calamity:technical/methods/entity/impact_override_load
execute if data storage catastrophe:temp SelectedEntity.ImpactOverride run function mc_calamity:technical/methods/entity/impact_override {type:this,impact:hit}

$data modify storage catastrophe:temp Macros set value {type:"$(type)",entitytype:"$(entitytype)",amount: $(amount), effect: "$(effect)"}

tag @s add mc_calamity.projectile.This
scoreboard players set #TEMP3 catastrophe.tick 0 
execute on passengers if entity @s[type=area_effect_cloud] on origin store success score #TEMP3 catastrophe.tick run tag @s add mc_calamity.projectile.OwnerOfThis
$execute if score #TEMP3 catastrophe.tick matches 0 $(target) run function mc_calamity:technical/methods/entity/obfus/damage_from_owner_fail with storage catastrophe:temp Macros
$execute $(target) run function mc_calamity:technical/methods/entity/obfus/damage_from_owner with storage catastrophe:temp Macros
execute on passengers if entity @s[type=area_effect_cloud] on origin run tag @s remove mc_calamity.projectile.OwnerOfThis
tag @s remove mc_calamity.projectile.This

#,tag=mc_calamity.storeowner

data remove storage catastrophe:temp Macros
$function mc_calamity:technical/methods/blank {cmd: "$(init)"}
