#Inputs
#   base_health: FLOAT
#   summon: STRING

#Summon tags
#   mc_calamity.summon = tag common to all summon hitboxes/main-entities
#   mc_calamity.summon.SETUP = tag for setup
#   mc_calamity.summon.rider = marks utility summon riders
#   mc_calamity.summon.storeowner = area_effect_cloud that stores owner
#   mc_calamity.summon.storetarget = area_effect_cloud that stores target
#   mc_calamity.entitymodel = model
#   mc_calamity.summon.isIdle = tag if summon currently has no owner 
#   mc_calamity.summon.isAttacking = tag if summon is currently attacking

execute if predicate mc_calamity:is_sneaking run function mc_calamity:technical/methods/summon/clear_summons
execute if predicate mc_calamity:is_sneaking run return 1

function mc_calamity:technical/methods/item/attribute_override {type: max_summons, operation:action}

tag @s add mc_calamity.summon.OwnerOfThis
function mc_calamity:technical/methods/item/attribute_calculator {type: max_summons, amount: 1}
scoreboard players set #TEMP1 catastrophe.tick 0
execute store result score #TEMP1 catastrophe.tick run data get storage catastrophe:temp Macros.amount
scoreboard players set #TEMP2 catastrophe.tick 0
execute as @e[tag=mc_calamity.summon] on passengers if entity @s[tag=mc_calamity.summon.storeowner] on origin if entity @s[tag=mc_calamity.summon.OwnerOfThis] run scoreboard players add #TEMP2 catastrophe.tick 1
tag @s remove mc_calamity.summon.OwnerOfThis
execute if score #TEMP2 catastrophe.tick >= #TEMP1 catastrophe.tick run return 0

$function mc_calamity:technical/methods/item/attribute_calculator {type: summon_health, amount:$(base_health)}
data modify storage catastrophe:temp SummonMacro.health set from storage catastrophe:temp Macros.amount

tag @s add mc_calamity.HasActiveSummons
data modify storage catastrophe:temp Owner set from entity @s UUID

#Inputs
#   health
#   damage
$function mc_calamity:debug/summon/$(summon) with storage catastrophe:temp SummonMacro
data remove storage catastrophe:temp SummonMacro
execute as @e[type=area_effect_cloud,tag=mc_calamity.summon.SETUP,limit=1] run function mc_calamity:technical/methods/summon/obfus/summon_setup
return 1
