#Inputs
#   type = STRING name of attribute
#       acceptible names: "rogue_damage","range_damage","magic_damage","summon_damage","cooldown","mana_cost","max_summons"
#   amount = FLOAT hard coded base damage amonunt

#Outputs
# storage catastrophe:temp Macros

#attribute format: {type:x,amount:0,slot:x,operation:add}
#type: "rogue_damage","range_damage","magic_damage","summon_damage","cooldown","mana_cost","max_summons"
#amount: FLOAT will work fine
#slot: main (current used weapon), offhand (either mainhand or offhand), armor (from armor)
#operation: "add = +additive", "percent = %percentage", "multiply = *multiplicative", 
#021


$data modify storage catastrophe:temp Macros set value {amount:$(amount)}

execute unless data storage catastrophe:temp SelectedPlayer{hasCalcAttributes:1b} run function catastrophe:methods/item/obfus/build_attribute_list

$execute store success score #TEMP1 catastrophe.temp run data modify storage catastrophe:temp SelectedPlayer.ActiveCAttributes append from storage catastrophe:temp SelectedPlayer.CustomAttributes[{type:"$(type)",operation: add}]
execute unless score #TEMP1 catastrophe.temp matches 0 run function catastrophe:methods/item/obfus/attributes_additive

$execute store success score #TEMP1 catastrophe.temp run data modify storage catastrophe:temp SelectedPlayer.ActiveCAttributes append from storage catastrophe:temp SelectedPlayer.CustomAttributes[{type:"$(type)",operation: percent}]
execute unless score #TEMP1 catastrophe.temp matches 0 run function catastrophe:methods/item/obfus/attributes_percentage

#lol, we dont have to reset the data because it gets removed during the calculations
$execute store success score #TEMP1 catastrophe.temp run data modify storage catastrophe:temp SelectedPlayer.ActiveCAttributes append from storage catastrophe:temp SelectedPlayer.CustomAttributes[{type:"$(type)",operation: multiply}]
execute unless score #TEMP1 catastrophe.temp matches 0 run function catastrophe:methods/item/obfus/attributes_multiplicative
