#Variables
#   TEMP1: free
#   TEMP2: worm maximum
#   TEMP3: current segment (1 = head)
#Notes
#   all newly spawned segments need to be tagged with mc_calamity.wormai.TEMP to fully initialize

#scoreboard players operation #TEMP1 catastrophe.tick = #TEMP2 catastrophe.tick
#scoreboard players remove #TEMP1 catastrophe.tick 

#head + crown
execute if score #TEMP3 catastrophe.tick matches 1 run summon armor_stand ~ ~ ~ {Pose:{Head:[0f,0f,0.01f]},Marker:1b,Invisible:1b,Tags:["mc_calamity.wormai","mc_calamity.wormai.head","mc_calamity.wormai.TEMP","mc_calamity.entity.desert_scourge"],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]},{id:"minecraft:ravager",DeathLootTable:"-",Silent:1b,NoAI:1b,Health:200f,CanJoinRaid:0b,CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}',Tags:["mc_calamity.entity.desert_scourge.hitbox","mc_calamity.music.desert_scourge.source","mc_calamity.rarity_4"],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:max_health,base:200}]},{id:"minecraft:marker",Tags:["catastrophe.EntityMarker"],data:{Entity:{dp:mc_calamity,id:'common/desert_scourge'}}}],ArmorItems:[{},{},{},{id:"minecraft:potion",count:1,components:{"minecraft:custom_model_data":1000013,"minecraft:potion_contents":{custom_color:0}}}],CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}'}

execute if score #TEMP3 catastrophe.tick matches 2 run summon armor_stand ~ ~ ~ {Pose:{Head:[0f,0f,0.01f]},Marker:1b,Invisible:1b,Tags:["mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.entity.desert_scourge"],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]},{id:"minecraft:ravager",DeathLootTable:"-",Silent:1b,NoAI:1b,Health:200f,CanJoinRaid:0b,CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}',Tags:["mc_calamity.entity.desert_scourge.hitbox","mc_calamity.rarity_4"],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:max_health,base:200}]},{id:"minecraft:marker",Tags:["catastrophe.EntityMarker"],data:{Entity:{dp:mc_calamity,id:'common/desert_scourge'}}}],ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000002}}],CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}'}


#alternating body
scoreboard players operation #TEMP1 catastrophe.tick = #TEMP3 catastrophe.tick
scoreboard players set #TEMP4 catastrophe.tick 2
scoreboard players operation #TEMP1 catastrophe.tick %= #TEMP4 catastrophe.tick

scoreboard players operation #TEMP4 catastrophe.tick = #TEMP2 catastrophe.tick
scoreboard players operation #TEMP4 catastrophe.tick -= #TEMP3 catastrophe.tick

execute if score #TEMP1 catastrophe.tick matches 0 if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 2.. run summon armor_stand ~ ~ ~ {Pose:{Head:[0f,0f,0.01f]},Marker:1b,Invisible:1b,Tags:["mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.entity.desert_scourge"],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]},{id:"minecraft:ravager",DeathLootTable:"-",Silent:1b,NoAI:1b,Health:200f,CanJoinRaid:0b,CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}',Tags:["mc_calamity.entity.desert_scourge.hitbox","mc_calamity.rarity_4"],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:max_health,base:200}]},{id:"minecraft:marker",Tags:["catastrophe.EntityMarker"],data:{Entity:{dp:mc_calamity,id:'common/desert_scourge'}}}],ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000003}}],CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}'}

execute if score #TEMP1 catastrophe.tick matches 1 if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 2.. run summon armor_stand ~ ~ ~ {Pose:{Head:[0f,0f,0.01f]},Marker:1b,Invisible:1b,Tags:["mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.entity.desert_scourge"],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]},{id:"minecraft:ravager",DeathLootTable:"-",Silent:1b,NoAI:1b,Health:200f,CanJoinRaid:0b,CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}',Tags:["mc_calamity.entity.desert_scourge.hitbox","mc_calamity.rarity_4"],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:max_health,base:200}]},{id:"minecraft:marker",Tags:["catastrophe.EntityMarker"],data:{Entity:{dp:mc_calamity,id:'common/desert_scourge'}}}],ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000059}}],CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}'}


#tail


execute if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 1 run summon armor_stand ~ ~ ~ {Pose:{Head:[0f,0f,0.01f]},Marker:1b,Invisible:1b,Tags:["mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.entity.desert_scourge"],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]},{id:"minecraft:ravager",DeathLootTable:"-",Silent:1b,NoAI:1b,Health:200f,CanJoinRaid:0b,CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}',Tags:["mc_calamity.entity.desert_scourge.hitbox","mc_calamity.rarity_4"],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:max_health,base:200}]},{id:"minecraft:marker",Tags:["catastrophe.EntityMarker"],data:{Entity:{dp:mc_calamity,id:'common/desert_scourge'}}}],ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000060}}],CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}'}

execute if score #TEMP3 catastrophe.tick matches 3.. if score #TEMP4 catastrophe.tick matches 0 run summon armor_stand ~ ~ ~ {Pose:{Head:[0f,0f,0.01f]},Marker:1b,Invisible:1b,Tags:["mc_calamity.wormai","mc_calamity.wormai.TEMP","mc_calamity.entity.desert_scourge"],Passengers:[{id:"minecraft:area_effect_cloud",Tags:["mc_calamity.storeworm","mc_calamity.tag.ClearUtil"],Duration:2147483647,Owner:[I;0,0,0,0]},{id:"minecraft:ravager",DeathLootTable:"-",Silent:1b,NoAI:1b,Health:200f,CanJoinRaid:0b,CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}',Tags:["mc_calamity.entity.desert_scourge.hitbox","mc_calamity.rarity_4"],ActiveEffects:[{Id:14,Amplifier:255b,Duration:-1,ShowParticles:0b}],active_effects:[{id:"minecraft:invisibility",amplifier:255b,duration:-1,show_particles:0b}],attributes:[{id:max_health,base:200}]},{id:"minecraft:marker",Tags:["catastrophe.EntityMarker"],data:{Entity:{dp:mc_calamity,id:'common/desert_scourge'}}}],ArmorItems:[{},{},{},{id:"minecraft:prismarine_crystals",count:1,components:{"minecraft:custom_model_data":1000061}}],CustomName:'{"translate":"entity.mc_calamity.desert_scourge"}'}

scoreboard players reset #TEMP4 catastrophe.tick
scoreboard players reset #TEMP5 catastrophe.tick
