execute if entity @s[tag=!mc_calamity.enableData] run return 1

#===(Begin Entity Modification)
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {OnGround:0b,FallDistance:0f}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

#===(Entity Data Checks)
function mc_calamity:technical/methods/entity/check_if_hurt {entity: drippler}
execute if predicate mc_calamity:random_chance/1_5_percent run playsound minecraft:block.honey_block.slide hostile @a[distance=..16] ~ ~ ~ 1 0

scoreboard players add @s catastrophe.tick 1
execute if score @s catastrophe.tick matches 40.. run function mc_calamity:entity/common/demon_eye/move/burn

scoreboard players set #TEMP mc_calamity.index 0
execute on target run scoreboard players set #TEMP mc_calamity.index 1

execute unless block ~ ~-3 ~ #mc_calamity:airlogged_blocks if predicate mc_calamity:random_chance/80_percent run function mc_calamity:technical/methods/entity/change_motion {motion: "0.0 0.02 0.0"}
execute if score #TEMP mc_calamity.index matches 1 run function mc_calamity:technical/methods/entity/behavior/fly_or_fpath1 {bouyancy: 0, target: "on target", this_type: slime, direction: "^ ^ ^1",speed: 0.018, radius: 1, bounding_box: slime_x2, sight_distance: 16}

#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
data remove storage catastrophe:temp SelectedEntity

execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/drippler/animate/animate
return 1
