#===(Begin Entity Modification)
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {OnGround:0b,FallDistance:0f}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion
scoreboard players add @s catastrophe.tick 3

#===(Entity Data Checks)
function mc_calamity:technical/methods/entity/check_if_hurt {entity: wulfrum_hovercraft}
execute if entity @s[tag=mc_calamity.entity.wulfrum_supercharged] run function mc_calamity:entity/common/wulfrum_hovercraft/move/supercharged

scoreboard players set #TEMP mc_calamity.index 0
execute on target run scoreboard players set #TEMP mc_calamity.index 1

execute unless block ~ ~-5 ~ #mc_calamity:airlogged_blocks run function mc_calamity:technical/methods/entity/change_motion {motion: "0.0 0.09 0.0"}
execute if score #TEMP mc_calamity.index matches 1 run function mc_calamity:technical/methods/entity/behavior/walk {target: "on target", this_type: slime, direction: "^ ^ ^1",speed: 0.02, radius: 1, bounding_box: slime_x2, sight_distance: 16}
execute if score #TEMP mc_calamity.index matches 1 if score @s catastrophe.tick matches 300.. run function mc_calamity:entity/common/wulfrum_hovercraft/move/dash

scoreboard players operation #TEMP1 catastrophe.tick = @s catastrophe.tick
scoreboard players set #TEMP2 catastrophe.tick 30
scoreboard players operation #TEMP1 catastrophe.tick %= #TEMP2 catastrophe.tick
execute if score #TEMP1 catastrophe.tick matches 1 run particle minecraft:shriek{delay:0} ~ ~-3 ~ 0 0 0 0 1 normal

scoreboard players reset @s[scores={catastrophe.tick=600..}] catastrophe.tick

#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s on passengers if entity @s[tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/common/wulfrum_hovercraft/animate/animate
