#Inputs:
#   cmd: COMMAND (specifically for a particle effect/ function with particle effects)
#   frequency: INT average frequency of particles
#   speed: INT something in relation to frequency
#   liquid: BLOCKID to detect if a splash can occur at that position
#   buoyancy: INT custom motion
#   viscosity: FLOAT
#       (particles can occur up to 5 blocks away)

#   custommotion.y = y motion lol
#   footstep_timer = splash tick

$execute if block ~ ~ ~ $(liquid) run function mc_calamity:technical/methods/math/multiply {score: "@s custommotion.y" ,const: $(viscosity)}
$execute if block ~ ~ ~ $(liquid) run function mc_calamity:technical/methods/math/multiply {score: "@s custommotion.x" ,const: $(viscosity)}
$execute if block ~ ~ ~ $(liquid) run function mc_calamity:technical/methods/math/multiply {score: "@s custommotion.z" ,const: $(viscosity)}

#$execute unless block ~ ~-0.3 ~ $(liquid) unless block ~ ~ ~ $(liquid) run function mc_calamity:entity/effect/fishing_environment/stop_forced

$execute store result score #TEMP1 catastrophe.tick run random value 0..$(speed)
scoreboard players add @s catastrophe.footstep_timer 1
scoreboard players operation @s catastrophe.footstep_timer += #TEMP1 catastrophe.tick
$execute if score @s catastrophe.footstep_timer matches ..$(frequency) run return 0

scoreboard players set @s catastrophe.footstep_timer 0

$data modify storage catastrophe:temp Macros set value {cmd:'$(cmd)', liquid: '$(liquid)'}
execute store result storage catastrophe:temp Macros.x float 0.001 run random value -5000..5000
execute store result storage catastrophe:temp Macros.y float 0.001 run random value -5000..5000
execute store result storage catastrophe:temp Macros.z float 0.001 run random value -5000..5000

function mc_calamity:entity/effect/fishing_environment/parts/obfus/splashes_3d with storage catastrophe:temp Macros
