#===(Begin Entity Modification)
scoreboard players set #ANIM1 catastrophe.tick 0
data modify storage catastrophe:temp SelectedEntity set from entity @s
data modify storage catastrophe:temp NewEntityData set value {OnGround:0b}
data modify storage catastrophe:temp NewEntityData.Motion set from storage catastrophe:temp SelectedEntity.Motion

#===(Entity Data Checks)
function mc_calamity:technical/methods/summon/check_if_hurt {entity: vampire_frog}

execute if predicate mc_calamity:random_chance/1_5_percent run tag @s add mc_calamity.entity.vampire_frog.isCroaking
execute if entity @s[tag=mc_calamity.entity.vampire_frog.isCroaking] run function mc_calamity:entity/summon/vampire_frog/move/croak
execute if data storage catastrophe:temp SelectedEntity{OnGround:0b} run scoreboard players set #ANIM1 catastrophe.tick 1


execute if entity @s[tag=!mc_calamity.summon.isAttacking,tag=!mc_calamity.summon.isIdle] run function mc_calamity:entity/summon/vampire_frog/move/follow
execute if entity @s[tag=mc_calamity.summon.isAttacking] run function mc_calamity:entity/summon/vampire_frog/move/attack
execute if entity @s[tag=mc_calamity.summon.isIdle,tag=!mc_calamity.summon.isAttacking] run function mc_calamity:entity/summon/brittle_star/move/idle/main
execute if data storage catastrophe:temp SelectedEntity{OnGround:1b} if entity @s[tag=!mc_calamity.entity.slime.OnGround] at @s run function mc_calamity:entity/summon/vampire_frog/move/stick
execute if data storage catastrophe:temp SelectedEntity{OnGround:0b} run tag @s remove mc_calamity.entity.slime.OnGround

function mc_calamity:technical/methods/summon/lost_owner

#===(Finish Entity Modification)
data modify entity @s {} merge from storage catastrophe:temp NewEntityData
execute at @s run execute on passengers if entity @s[type=minecraft:item_display,tag=mc_calamity.entitymodel] unless entity @s[tag=mc_calamity.anim.death] run function mc_calamity:entity/summon/vampire_frog/animate/animate
