#get cursor position on custom crafting station or end function if fail
scoreboard objectives add mc_calamity.temp dummy

#get object rotation
execute store result score $rotation mc_calamity.temp run data get entity @s Rotation[0] 1
scoreboard players set $clamp mc_calamity.temp 360
scoreboard players operation $rotation mc_calamity.temp %= $clamp mc_calamity.temp

#gets intersection of main 1x1x1 block.
function mc_calamity:technical/methods/math/vector/get_intersect_context
function mc_calamity:technical/methods/math/vector/get_bound

#gets intersection of crafting panel 1x1x0.1 block translated ~ ~1 ~0.5.
#im lazy, so i just have 2 box types depending on which rotation it is.
execute unless score $rotation mc_calamity.temp matches 45..134 unless score $rotation mc_calamity.temp matches 225..314 run function mc_calamity:technical/crafting/new/menus/panel_north_south
execute unless score $rotation mc_calamity.temp matches 135..224 if score $rotation mc_calamity.temp matches 45..314 run function mc_calamity:technical/crafting/new/menus/panel_east_west

function mc_calamity:technical/methods/math/vector/get_intersect_conclusion
#execute if entity @s[tag=1t.CrafterActive.search_menu] store success score #HasHit2 mc_calamity.temp run function mc_calamity:technical/methods/math/vector/get_intersect
execute unless score $Hits mc_calamity.temp matches 1.. run return run scoreboard objectives remove mc_calamity.temp

#rotate cursor position to account for station rotation.
scoreboard players operation $cursor_y mc_calamity.temp = $player_y mc_calamity.temp
execute unless score $rotation mc_calamity.temp matches 45..314 run function mc_calamity:technical/crafting/new/rot_shuffle/south
execute if score $rotation mc_calamity.temp matches 45..134 run function mc_calamity:technical/crafting/new/rot_shuffle/east
execute if score $rotation mc_calamity.temp matches 135..224 run function mc_calamity:technical/crafting/new/rot_shuffle/north
execute if score $rotation mc_calamity.temp matches 225..314 run function mc_calamity:technical/crafting/new/rot_shuffle/west

#some debug commands
#tellraw @a [{"score":{"name":"$rotation","objective":"mc_calamity.temp"}}]
#tellraw @a [{"score":{"name":"$cursor_x","objective":"mc_calamity.temp"}},", ",{"score":{"name":"$cursor_y","objective":"mc_calamity.temp"}},", ",{"score":{"name":"$cursor_z","objective":"mc_calamity.temp"}}]


#menu controls
tag @s add 1t.CrafterActive.XORMENU
execute if entity @s[tag=1t.CrafterActive.craft_menu,tag=1t.CrafterActive.XORMENU] run function mc_calamity:technical/crafting/new/menus/craft
execute if entity @s[tag=1t.CrafterActive.search_menu,tag=1t.CrafterActive.XORMENU] run function mc_calamity:technical/crafting/new/menus/search
tag @s remove 1t.CrafterActive.XORMENU

#close function
scoreboard objectives remove mc_calamity.temp
