
# Init
#<Roger_Swifer_Cleaner> Changing this to attibute calculator requires a bit more finness then expected
#<RSC> all this data gets deleted anyways so modifying is a ton is no big deal

# Inventory and effects
#data remove storage catastrophe:temp SelectedPlayer.CustomAttributes
function mc_calamity:technical/methods/item/obfus/build_attribute_list

# Moon
function mc_calamity:technical/fishing/calculate_moon_phase
execute if score #TEMP1 catastrophe.tick matches 0 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.10, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score #TEMP1 catastrophe.tick matches 1 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.5, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score #TEMP1 catastrophe.tick matches 3 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.5, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score #TEMP1 catastrophe.tick matches 4 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.10, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score #TEMP1 catastrophe.tick matches 5 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.5, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score #TEMP1 catastrophe.tick matches 7 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.5, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}

# Time
execute store result score *period mc_calamity.fishing_power \
    run time query daytime
scoreboard players add *period mc_calamity.fishing_power 6000
execute if score *period mc_calamity.fishing_power matches 24000.. \
    run scoreboard players remove *period mc_calamity.fishing_power 24000
execute if score *period mc_calamity.fishing_power matches 0..2420 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.20, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score *period mc_calamity.fishing_power matches 4300..6000 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.30, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score *period mc_calamity.fishing_power matches 9000..15000 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.20, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score *period mc_calamity.fishing_power matches 18000..19300 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.30, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score *period mc_calamity.fishing_power matches 21180..24000 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.20, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
scoreboard players reset *period mc_calamity.fishing_power

# Weather
execute if predicate mc_calamity:entity/is_raining \
    unless predicate mc_calamity:entity/is_thundering \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.10, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if predicate mc_calamity:entity/is_thundering \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.20, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}

# Luck
scoreboard players operation *luck_stat mc_calamity.fishing_power = @s mc_calamity.fishing_luck
execute store result score *luck_effect mc_calamity.fishing_power run attribute @s minecraft:luck get
scoreboard players operation *luck_stat mc_calamity.fishing_power += *luck_effect mc_calamity.fishing_power
execute if score *luck_stat mc_calamity.fishing_power matches ..-2 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.40, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power,}
execute if score *luck_stat mc_calamity.fishing_power matches -1 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: -0.10, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power,}
execute if score *luck_stat mc_calamity.fishing_power matches 0 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score *luck_stat mc_calamity.fishing_power matches 1 \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.10, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
execute if score *luck_stat mc_calamity.fishing_power matches 2.. \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 0.40, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}
scoreboard players reset *luck_effect mc_calamity.fishing_power
scoreboard players reset *luck_stat mc_calamity.fishing_power


# Luck based on luck attribute (each level of luck is 10% | Currently disabled to perserve original code function)
#data modify storage catastrophe:temp Macros set value {id:fishing_temperary,amount:0,type:fishing_power,operation:percent}
#execute store result storage catastrophe:temp Macros.amount float 0.1 run attribute @s minecraft:luck get
#data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append from storage catastrophe:temp Macros

execute if data storage catastrophe:global WorldVariables{isBloodMoon: true} \
    run data modify storage catastrophe:temp SelectedPlayer.CustomAttributes append value {\
        amount: 1.1, \
        id: fishing_temperary, \
        operation: percent, \
        type: fishing_power}


# Close
#<RSC> base fishing power is 0 before anything is checked
function mc_calamity:technical/methods/item/attribute_calculator {\
    amount: 0, \
    type: fishing_power}
execute store result score @s mc_calamity.fishing_power \
    run data get storage catastrophe:temp Macros.amount 1
