
# Init
scoreboard objectives add temp.SCORE dummy

# Check Entity
execute if entity @s[type=minecraft:fishing_bobber] run function mc_calamity:technical/initialization/fishing_bobber
execute if entity @s[type=minecraft:glow_squid] run function mc_calamity:technical/initialization/glow_squid
execute if entity @s[type=minecraft:item] run function mc_calamity:technical/initialization/item
execute if entity @s[type=minecraft:slime] run function mc_calamity:technical/initialization/slime
execute if entity @s[type=minecraft:spider] run function mc_calamity:technical/initialization/spider
execute if entity @s[type=minecraft:squid] run function mc_calamity:technical/initialization/squid
execute if entity @s[type=minecraft:villager] run function mc_calamity:technical/initialization/villager
execute if entity @s[type=minecraft:wandering_trader] run function mc_calamity:entity/villager/set_data {id: "wandering_trader", mode: "merge", profession: "null", type: "null"}
execute if entity @s[type=minecraft:turtle] run function mc_calamity:technical/initialization/turtle
execute if entity @s[type=minecraft:snowball] run function mc_calamity:technical/initialization/snowball
execute if entity @s[type=#mc_calamity:can_become_demon_eye] run function mc_calamity:technical/initialization/basic_undead
execute if entity @s[type=drowned] run function mc_calamity:technical/initialization/drowned
execute if entity @s[type=#minecraft:arrows] run function mc_calamity:technical/initialization/arrow
execute if entity @s[type=minecraft:painting] run function mc_calamity:technical/paintings/loadup
#execute if entity @s[type=minecraft:trident] run (turns out trident damage is hard coded, OOOF)

# NBT Tags
execute if data entity @s[type=minecraft:armor_stand] ArmorItems[3].components."minecraft:custom_data".plush run function mc_calamity:technical/plushes/loadup with entity @s ArmorItems[3].components."minecraft:custom_data"
execute if data entity @s[type=glow_item_frame] Item.components."minecraft:custom_data".run_command run function mc_calamity:technical/nbt_tags/run_command

# Mob Data
execute as @s[type=#mc_calamity:mobs] unless data entity @s Tags run function mc_calamity:technical/initialization/obfus/list
tag @s remove mob.STOP
scoreboard objectives remove temp.SCORE
execute if entity @s[tag=mob.FINISH] run function mc_calamity:technical/methods/entity/force_despawn

# Close
tag @s add terraria.INIT
