#inputs
# target: STRING "on attacker" or "on target" or "on passengers on origin"
# this_type: STRING "minecraft:entity" - this entities type selector required for efficient selection
# direction: VEC3 "0.0 0.0 0.0" or "~ ~ ~" or "^ ^ ^"
# speed: FLOAT determines how fast the mob is going

# radius: FLOAT size of mob in an axis (perferably x), used to check pathing
# bounding_box: STRING bounding box check of mob. must be predefined in mc_calamity:technical/methods/entity/behavior/path/bounding_box
# sight_distance: INT blocks away to check during a sight check(don't make it rediculus)

#bouyancy: FLOAT the bouyancy of the mob in water (positive equals more bouyancy, negative equals less, net 0 = ???)

$data modify storage catastrophe:temp Macros set value {target: "$(target)", this_type: $(this_type), direction: "$(direction)",speed: $(speed),bouyancy: $(bouyancy), bounding_box: $(bounding_box), sight_distance: $(sight_distance), radius: $(radius)}
$attribute @s minecraft:movement_speed base set $(speed)
execute store result storage catastrophe:temp Macros.speed float 0.0001 run attribute @s minecraft:movement_speed get 10000
attribute @s minecraft:movement_speed base set 0

execute store success score #TEMP3 catastrophe.tick if predicate mc_calamity:entity/is_in_water

execute if score #TEMP3 catastrophe.tick matches 0 if data storage catastrophe:temp SelectedEntity{wasOnGround:1b} run function mc_calamity:technical/methods/entity/behavior/flop_on_land with storage catastrophe:temp Macros
execute if score #TEMP3 catastrophe.tick matches 1 unless entity @s[tag=mc_calamity.behavior.isPathing] run function mc_calamity:technical/methods/entity/behavior/swim with storage catastrophe:temp Macros
execute if score #TEMP3 catastrophe.tick matches 1 if entity @s[tag=mc_calamity.behavior.isPathing] run function mc_calamity:technical/methods/entity/behavior/spath with storage catastrophe:temp Macros
