#input
# entitytype: NAMESPACE this entity's base entity type
# type: NAMESPACE damage type
# target: NAMESPACE selector for the target
# init: COMMAND extra command to run from this when it damages an entity
# effect: COMMAND extra command to run on damaged entity

#$say "$(effect)"
data remove storage catastrophe:temp SelectedEntity.ImpactOverride
execute if entity @s[tag=mc_calamity.projectile.hasImpactInformation] run function mc_calamity:technical/methods/entity/impact_override_load
execute if data storage catastrophe:temp SelectedEntity.ImpactOverride run function mc_calamity:technical/methods/entity/impact_override {type:this,impact:hit}

$data modify storage catastrophe:temp Macros set value {type:"$(type)",entitytype:"$(entitytype)", effect: "$(effect)"}
execute on passengers if entity @s[type=marker,tag=catastrophe.EntityMarker] run data modify storage catastrophe:temp Macros.amount set from entity @s data.Projectile.damage

execute store result storage catastrophe:temp Macros.speed.x double 0.001 run scoreboard players get @s custommotion.x
execute store result storage catastrophe:temp Macros.speed.y double 0.001 run scoreboard players get @s custommotion.y
execute store result storage catastrophe:temp Macros.speed.z double 0.001 run scoreboard players get @s custommotion.z
function mc_calamity:technical/methods/math/distance with storage catastrophe:temp Macros.speed
data modify storage catastrophe:temp math.in set from storage catastrophe:temp math.out
function mc_calamity:technical/methods/math/multiply_storage with storage catastrophe:temp math
#amount is the output & is convieniently the damage variable

tag @s add mc_calamity.projectile.This
scoreboard players set #TEMP3 catastrophe.tick 0 
execute on passengers if entity @s[type=area_effect_cloud] on origin run execute store success score #TEMP3 catastrophe.tick run tag @s[type=player] add mc_calamity.projectile.OwnerOfThis
$execute if score #TEMP3 catastrophe.tick matches 0 $(target) run function mc_calamity:technical/methods/entity/obfus/damage_from_owner_fail with storage catastrophe:temp Macros
$execute $(target) run function mc_calamity:technical/methods/entity/obfus/damage_from_owner with storage catastrophe:temp Macros
execute on passengers if entity @s[type=area_effect_cloud] on origin run tag @s remove mc_calamity.projectile.OwnerOfThis
tag @s remove mc_calamity.projectile.This

#,tag=mc_calamity.storeowner

data remove storage catastrophe:temp Macros
$function mc_calamity:technical/methods/blank {cmd: "$(init)"}
